package org.jeecg.modules.system.app.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.system.app.entity.AppInstructor;
import org.jeecg.modules.system.app.mapper.AppInstructorMapper;
import org.jeecg.modules.system.app.service.IAppInstructorService;
import org.jeecg.modules.system.app.vo.staff.StaffRequestVO;
import org.jeecg.modules.system.app.vo.staff.StaffResponseVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 教练表
 * @Author: jeecg-boot
 * @Date:   2025-07-04
 * @Version: V1.0
 */
@Service
public class AppInstructorServiceImpl extends ServiceImpl<AppInstructorMapper, AppInstructor> implements IAppInstructorService {

    @Autowired
    AppInstructorMapper appInstructorMapper;



    @Override
    public IPage<StaffResponseVO> findPage(Page<AppInstructor> page, StaffRequestVO staffRequestVO,String orgCode) {
        return appInstructorMapper.findPage(page,staffRequestVO,orgCode);
    }
}
